curl --request POST \
--url https://{tenant}.ekso.app/api/plan/{boardId}/ai/ask \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question": "<string>",
"cycleId": "<string>",
"conversationId": "<string>",
"mode": "<string>"
}
'{
"text": "<string>",
"suggestions": [
{
"itemId": "<string>",
"itemName": "<string>",
"suggestedCycleId": "<string>",
"reason": "<string>"
}
],
"conversationId": "<string>",
"hasMutated": true
}curl --request POST \
--url https://{tenant}.ekso.app/api/plan/{boardId}/ai/ask \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question": "<string>",
"cycleId": "<string>",
"conversationId": "<string>",
"mode": "<string>"
}
'{
"text": "<string>",
"suggestions": [
{
"itemId": "<string>",
"itemName": "<string>",
"suggestedCycleId": "<string>",
"reason": "<string>"
}
],
"conversationId": "<string>",
"hasMutated": true
}JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
The board ID.